Vehicles WorldGuard Flags Vehicles >= 9.0

Adds protection flags for the plugin vehicles.

  1. pollitoyeye
    Tested Minecraft Versions:
    • 1.14
    • 1.15
    This plugin requires the latest version of Vehicles
    Adds a WorldGuard flag for each vehicle (ALLOW or DENY) that allows or denies the vehicle type placing in a region.
    Current Flags:
    Vehicles, Trains,Tanks, Rafts, Planes,Parachutes, Helicopters, Cars, Bikes, Submarines, Brooms, HoverBikes, RacingCars, SportBikes, Drills, Tractors


    Permissions:
    VehiclesFlag.override - Place vehicles in any protected region
    TrainsFlag.override - Place trains in protected regions
    TanksFlag.override - Place tanks in protected regions
    RaftsFlag.override - Place rafts in protected regions
    PlanesFlag.override - Place planes in protected regions
    ParachutesFlag.override - Place parachutes in protected regions
    HelicoptersFlag.override - Place helicopters in protected regions
    CarsFlag.override - Place cars in protected regions
    BikesFlag.override - Place bikes in protected regions
    SubmarinesFlag.override - Place submarines in protected regions
    BroomsFlag.override - Place brooms in protected regions
    HoverBikesFlag.override - Place hover bikes in protected regions
    DrillsFlag.override - Place drills in protected regions
    RacingCarsFlag.override - Place racing cars in protected regions
    SportBikesFlag.override - Place sport bikes in protected regions
    TractorsFlag.override - Place tractors in protected regions

Recent Reviews

  1. jfdkjfakdkm
    jfdkjfakdkm
    2/5,
    Version: Vehicles >= 9.0
    [14:03:38] [Server thread/ERROR]: com/sk89q/worldguard/WorldGuard initializing VehiclesFlags v1.1 (Is it up to date?)
    java.lang.NoClassDefFoundError: com/sk89q/worldguard/WorldGuard
    at es.pollitoyeye.VehiclesFlags.VehiclesFlags.onLoad(VehiclesFlags.java:41) ~[?:?]
    at org.bukkit.craftbukkit.v1_12_R1.CraftServer.loadPlugins(CraftServer.java:303) [spigot-1.12.jar:git-Spigot-596221b-9a1fc1e]
    at net.minecraft.server.v1_12_R1.DedicatedServer.init(DedicatedServer.java:205) [spigot-1.12.jar:git-Spigot-596221b-9a1fc1e]
    at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:544) [spigot-1.12.jar:git-Spigot-596221b-9a1fc1e]
    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_252]
    Caused by: java.lang.ClassNotFoundException: com.sk89q.worldguard.WorldGuard
    at java.net.URLClassLoader.findClass(URLClassLoader.java:382) ~[?:1.8.0_252]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:101) ~[spigot-1.12.jar:git-Spigot-596221b-9a1fc1e]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86) ~[spigot-1.12.jar:git-Spigot-596221b-9a1fc1e]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:418) ~[?:1.8.0_252]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:351) ~[?:1.8.0_252]
    ... 5 more
    1. pollitoyeye
      Author's Response
      Caused by: java.lang.ClassNotFoundException: com.sk89q.worldguard.WorldGuard

      You don't have WorldGuard on your server.
      Or at least the required version.
  2. _ReflexShow_
    _ReflexShow_
    4/5,
    Version: Vehicles >= 9.0
    I can't make it work, i already installed this plugin,
    i trying to set the flag in main region, it's says that
    i already set that to Cars allow, also gave permission to default players, and nobody can place vehicle,
    only op. what can i do?
  3. srMylles
    srMylles
    5/5,
    Version: For Vehicles >= 9.0
    please make a promotion of your vehicle plugin, I really want to buy it, plsssss
  4. Roy7885
    Roy7885
    5/5,
    Version: For Vehicles >= 9.0
    Great! Great! Great! Great! Great! Great! Great! Great! Great! Great! Great! Great!
  5. Ethon6
    Ethon6
    5/5,
    Version: For Vehicles 8.X
    Need 1.12 update plz! :)
  6. Jordy1265
    Jordy1265
    5/5,
    Version: For Vehicles 8.X
    Super nice plugin! I am using it on my server: (RealLife) play.epicgamingnl.eu 100 characters 0_O ow btw Nice plugin..